# $Revision: 1.40 $, $Date: 2008-02-23 14:42:32 $
#
# Conditional build, see http://grass.itc.it/grass61/source/REQUIREMENTS.html
# for description of optional requirements.
%bcond_without	tcl		# disable gui and nviz
%bcond_without	mysql	# disable mysql support
%bcond_without	odbc	# disable unixODBC support
%bcond_without	xanim	# disable xanim module
#
Summary:	The Geographic Resources Analysis Support System
Summary(pl.UTF-8):	System obsługujący analizę zasobów geograficznych
Name:		grass
# see DEVEL branch before upgrading to 6.3.0
Version:	6.2.2
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://grass.itc.it/grass62/source/%{name}-%{version}.tar.gz
# Source0-md5:	abae40eff2b99b44e8d85f6eb9007c12
Patch0:		%{name}-soname.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-ffmpeg.patch
URL:		http://grass.itc.it/
%{?with_tcl:BuildRequires:	OpenGL-GLU-devel}
BuildRequires:	awk
BuildRequires:	bison
BuildRequires:	blas-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	fftw3-devel
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gcc-g77
BuildRequires:	gdal-devel
BuildRequires:	gdbm-devel
BuildRequires:	gd-devel
BuildRequires:	lapack-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	man
%{?with_xanim:BuildRequires:	motif-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
BuildRequires:	ncurses-devel
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	proj-devel >= 4.4.6
BuildRequires:	proj-progs
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	readline-devel
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.0
%{?with_tcl:BuildRequires:	tcl-devel >= 8.4}
%{?with_tcl:BuildRequires:	tk-devel >= 8.4}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	zlib-devel
# R language?
Requires:	proj >= 4.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreqdep   libGL.so.1 libGLU.so.1
%define		_sysconfdir	/etc/X11
%define		_target_platform %(echo %{_target_cpu}-%{_target_vendor}-%{_host_os} | sed -e 's/athlon/i686/;s/ppc/powerpc/;s/amd64/x86_64/')

%description
GRASS (the Geographic Resources Analysis Support System) is a software
raster- and vector-based GIS (Geographic Information System), image
processing system, graphics production system, and spatial modeling
system. GRASS contains many modules for raster data manipulation,
vector data manipulation, rendering images on the monitor or paper,
multispectral image processing, point data management and general data
management. It also has tools for interfacing with digitizers,
scanners, and the RIM, Informix, Postgres, and Oracle databases.

%description -l pl.UTF-8
GRASS (System Wspierania Analiz Zasobów Geograficznych) jest rastrowym
oraz wektorowym systemem GIS (System Informacji Geograficznej),
obróbki obrazów, tworzenia grafiki oraz modelowania przestrzennego.
GRASS zawiera wiele modułów wspomagających manipulację danymi
rastrowymi i wektorowymi, renderowanie obrazów na monitorze lub
papierze, obróbkę multispektralnych obrazów, punktowe oraz ogólne
zarządzanie danymi. Zawiera również narzędzia do współpracy z
digitizerami, skanerami oraz bazami RIM, Informix, Postgres oraz
Oracle.

%package OpenGL
Summary:	NVIZ - a 3D-tool for GRASS
Summary(pl.UTF-8):	NVIZ - narzędzie 3D dla GRASSa
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description OpenGL
Package contains nviz, which is a GRASS module-in-progress which
allows users to realistically render multiple surfaces in a 3D space,
optionally using thematic coloring, draping GRASS vector files over
the surfaces, and displaying GRASS site files either draped on the
surfaces or as 3D point locations.

%description OpenGL -l pl.UTF-8
Pakiet zawiera moduł nviz, który rozszerza funkcjonalność systemu
GRASS o możliwość realistycznego renderowania wielu powierzchni w
trójwymiarowej przestrzeni. Na renderowanych powierzchniach, które
mogą być tematycznie kolorowane, można zawieszać pliki wektorowe
GRASSa.

%package pg
Summary:	PostgreSQL database interface
Summary(pl.UTF-8):	Interfejs do bazy PostgreSQL
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description pg
PostgreSQL database interface for GRASS.

%description pg -l pl.UTF-8
Interfejs do bazy PostgreSQL dla GRASSa.

%package odbc
Summary:	ODBC database interface
Summary(pl.UTF-8):	Interfejs ODBC dla GRASSa
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description odbc
ODBC database interface for GRASS.

%description odbc -l pl.UTF-8
Interfejs ODBC dla GRASSa.

%package devel
Summary:	Header files and static libraries for GRASS
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki statyczne systemu GRASS
Group:		X11/Development/Libraries

%description devel
Header files and static libraries for GRASS.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki statyczne systemu GRASS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CPPFLAGS="-I/usr/include/ncurses"; export CPPFLAGS
%configure2_13 \
	--enable-largefile \
	--with-includes=%{_includedir} \
	--with-libs=%{_libdir} \
	--with-blas \
	--with-cxx \
	--with-ffmpeg \
	--with-ffmpeg-includes=/usr/include/ffmpeg \
	--with-freetype \
	--with-freetype-includes=/usr/include/freetype2 \
	--with-lapack \
	%{?with_xanim:--with-motif} \
	%{?with_mysql:--with-mysql} \
	%{?with_mysql:--with-mysql-includes=/usr/include/mysql} \
	--with-nls \
	%{?with_odbc:--with-odbc} \
	--with%{!?with_tcl:out}-opengl \
	--with-postgres-includes=/usr/include/postgresql/server \
	--with-proj-share=/usr/share/proj \
	--with-python \
	--with-readline \
	--with-sqlite \
	--with%{!?with_tcl:out}-tcltk
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_libdir} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	PREFIX=$RPM_BUILD_ROOT%{_libdir}

install -d $RPM_BUILD_ROOT{%{_datadir},%{_includedir}/grass62}
mv $RPM_BUILD_ROOT%{_libdir}/grass-%{version}/include/* $RPM_BUILD_ROOT%{_includedir}/grass62
mv $RPM_BUILD_ROOT%{_libdir}/grass-%{version}/lib/* $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{_libdir}/grass-%{version}/locale $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{_libdir}/grass-%{version}/man $RPM_BUILD_ROOT%{_datadir}

sed -i -e 's,^GISBASE=.*,GISBASE=%{_libdir}/grass-%{version},' $RPM_BUILD_ROOT%{_bindir}/grass62

cp -f lib/external/bwidget/CHANGES.txt bwidget.CHANGES.TXT
cp -f lib/external/bwidget/README.grass bwidget.README.grass

rm -rf $RPM_BUILD_ROOT%{_libdir}/grass-%{version}/{bwidget/{*.txt,README.grass},docs}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_br,pt_BR}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh,zh_CN}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README TODO bwidget.CHANGES.TXT bwidget.README.grass dist.%{_target_platform}/docs/html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so
%dir %{_libdir}/grass-%{version}
%attr(755,root,root) %{_libdir}/grass-%{version}/bin
%dir %{_libdir}/grass-%{version}/bwidget
%{_libdir}/grass-%{version}/bwidget/*.tcl
%{_libdir}/grass-%{version}/bwidget/images
%dir %{_libdir}/grass-%{version}/bwidget/lang
%lang(de) %{_libdir}/grass-%{version}/bwidget/lang/de.rc
%{_libdir}/grass-%{version}/bwidget/lang/en.rc
%lang(es) %{_libdir}/grass-%{version}/bwidget/lang/es.rc
%lang(fr) %{_libdir}/grass-%{version}/bwidget/lang/fr.rc
%attr(755,root,root) %{_libdir}/grass-%{version}/driver
%dir %{_libdir}/grass-%{version}/etc
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/c[!e]*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/d[.b]*
%{_libdir}/grass-%{version}/etc/d[ai]*
%{_libdir}/grass-%{version}/etc/gintro.gif
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/grass-xterm-wrapper
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/file_option.tcl
%{_libdir}/grass-%{version}/etc/gem
%{_libdir}/grass-%{version}/etc/grass_write_ascii.style
%dir %{_libdir}/grass-%{version}/etc/gui
%{_libdir}/grass-%{version}/etc/gui/icons
%{_libdir}/grass-%{version}/etc/gtcltk
%dir %{_libdir}/grass-%{version}/etc/msgs
%lang(cs) %{_libdir}/grass-%{version}/etc/msgs/cs.msg
%lang(de) %{_libdir}/grass-%{version}/etc/msgs/de.msg
%lang(es) %{_libdir}/grass-%{version}/etc/msgs/es.msg
%lang(fr) %{_libdir}/grass-%{version}/etc/msgs/fr.msg
%lang(it) %{_libdir}/grass-%{version}/etc/msgs/it.msg
%lang(ja) %{_libdir}/grass-%{version}/etc/msgs/ja.msg
%lang(lv) %{_libdir}/grass-%{version}/etc/msgs/lv.msg
%lang(pl) %{_libdir}/grass-%{version}/etc/msgs/pl.msg
%lang(pt_BR) %{_libdir}/grass-%{version}/etc/msgs/pt_br.msg
%lang(ru) %{_libdir}/grass-%{version}/etc/msgs/ru.msg
%lang(tr) %{_libdir}/grass-%{version}/etc/msgs/tr.msg
%lang(vi) %{_libdir}/grass-%{version}/etc/msgs/vi.msg
%{_libdir}/grass-%{version}/etc/nad
%{_libdir}/grass-%{version}/etc/ogr_csv
%dir %{_libdir}/grass-%{version}/etc/paint
%{_libdir}/grass-%{version}/etc/paint/patterns
%{_libdir}/grass-%{version}/etc/paint/prolog.ps
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/prompt.sh
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/water
%{_libdir}/grass-%{version}/etc/FIPS.code
%{_libdir}/grass-%{version}/etc/VERSION*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/[Iilv]*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/echo
%{_libdir}/grass-%{version}/etc/el*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/epsg_option.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/frame.*
%{_libdir}/grass-%{version}/etc/freetypecap
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/g.mapsets.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/gis_set.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/grass-run.sh
%{_libdir}/grass-%{version}/etc/grass_intro
%{_libdir}/grass-%{version}/etc/gui.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/help.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/mon.*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/make_location_epsg.sh
%{_libdir}/grass-%{version}/etc/monitorcap
%{_libdir}/grass-%{version}/etc/projections
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/r[!g]*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/photo.*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/s[!t]*
%{_libdir}/grass-%{version}/etc/state*
%{_libdir}/grass-%{version}/etc/welcome
%{_libdir}/grass-%{version}/fonts
%attr(755,root,root) %{_libdir}/grass-%{version}/scripts
%{_mandir}/man1/*

%if %{with tcl}
%dir %{_libdir}/grass-%{version}/etc/dm
%{_libdir}/grass-%{version}/etc/dm/*.gif
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/dm/*.tcl
%dir %{_libdir}/grass-%{version}/etc/dm/script
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/dm/script/*
%dir %{_libdir}/grass-%{version}/etc/form
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/form/form
%{_libdir}/grass-%{version}/etc/form/*.tcl
%dir %{_libdir}/grass-%{version}/etc/gm
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/gm/*.tcl
%{_libdir}/grass-%{version}/etc/gm/*.gif
%dir %{_libdir}/grass-%{version}/etc/gm/script
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/gm/script/*
%dir %{_libdir}/grass-%{version}/etc/gui/menus
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/gui/menus/menu.tcl
%dir %{_libdir}/grass-%{version}/etc/nviz2.2
%{_libdir}/grass-%{version}/etc/nviz2.2/bitmaps
%dir %{_libdir}/grass-%{version}/etc/nviz2.2/scripts
%{_libdir}/grass-%{version}/etc/nviz2.2/scripts/[!ns]*
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/nviz2.2/scripts/nviz2.2_script
%{_libdir}/grass-%{version}/etc/nviz2.2/scripts/nviz_init.tcl
%{_libdir}/grass-%{version}/etc/nviz2.2/scripts/nviz_params
%{_libdir}/grass-%{version}/etc/nviz2.2/scripts/s[!c]*
%{_libdir}/grass-%{version}/etc/nviz2.2/scripts/script_support.tcl
%attr(755,root,root) %{_libdir}/grass-%{version}/etc/nviz2.2/scripts/script_[!s]*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/grass62
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grass.spec,v $
Revision 1.40  2008-02-23 14:42:32  wrobell
- added a note about upcoming 6.3.0

Revision 1.39  2007-08-04 20:51:57  qboosh
- added ffmpeg patch
- updated files

Revision 1.38  2007/07/19 22:41:05  wrobell
- ver. 6.6.2

Revision 1.37  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.35  2006/12/16 12:48:22  wrobell
- ver. 6.2.1

Revision 1.34  2006/12/16 11:57:39  wrobell
- added several build conditionals (like odbc and tcl)

Revision 1.33  2006/12/12 22:15:34  qboosh
- updated to 6.2.0, updated soname patch, added link patch, removed obsolete tk85 patch

Revision 1.32  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.31  2005/12/11 09:38:55  qboosh
- release 2

Revision 1.30  2005/12/08 12:15:12  undefine
- fix build on amd64 too

Revision 1.29  2005/10/20 20:35:17  qboosh
- updated to 6.0.1, added tk85,soname patches

Revision 1.28  2003/12/14 20:45:53  qboosh
- updated to 5.0.3, switched to ftp (http requests using mirror)

Revision 1.27  2003/08/15 12:04:15  ankry
- cosmetics / fixes in descriptions

Revision 1.26  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.25  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/17 14:59:28  qboosh
- updated to 5.0.2
- removed athlon patch, other solution used

Revision 1.22  2003/05/03 13:49:03  adasi
 - added athlon patch, relup, stbr

Revision 1.21  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.20  2002/09/17 09:08:40  marcus
- fix for ppc
- rel.4.

Revision 1.19  2002/09/16 21:21:49  marcus
- addedd BR man
- rel.3.

Revision 1.18  2002/09/15 14:09:27  ankry
- fixed %%files
- release 2, STBR

Revision 1.17  2002/09/14 15:54:47  ankry
- workaround for _target_os != _host_os (as in PLD)
- release 1.1
- TODO: fix file list

Revision 1.16  2002/09/13 12:23:55  kloczek
- added Epoch: 1 for allow upgrade from pre.

Revision 1.15  2002/09/13 11:39:34  malekith
- fixed source0

Revision 1.14  2002/09/13 11:36:38  malekith
- fixed %%setup

Revision 1.13  2002/09/13 11:32:16  malekith
- updated to 5.0.0 (pre5 is absent from http, broken in CVS, and this is
  final version)
- need testing

Revision 1.12  2002/08/06 20:01:53  qboosh
- upated to 5.0.0pre5
- manuals conflict seems fixed
- duplicated binaries in bin are hardlinks, so it isn't problem
- static merged into devel - no shared libs, only static
- explicit permissions

Revision 1.11  2002/06/16 20:12:27  tjbynum
- + blas support.

Revision 1.10  2002/06/16 17:35:39  tjbynum
- + nls support.

Revision 1.9  2002/05/19 22:54:03  misiek
- ncurses

Revision 1.8  2002/05/19 22:29:46  misiek
- updated to pre4 (for testing)

Revision 1.7  2002/05/19 00:15:56  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.6  2002/04/24 13:15:31  wrobell
- sorted build requirements
- install missing grass5
- fixed file list

Revision 1.5  2002/04/23 15:09:59  wrobell
- updated todo

Revision 1.4  2002/04/23 15:02:53  wrobell
- first attempt to install the beast :-\
- devel and static subpackage
- todo

Revision 1.3  2002/04/23 08:32:57  wrobell
- fixed build requirements

Revision 1.2  2002/04/23 08:13:09  wrobell
- fixed and completed descriptions

Revision 1.1  2002/04/23 00:06:30  misiek
- it builds but install and files needs to be fixed (It's complete mess)
